Bug 1687311 (CVE-2019-3861) - CVE-2019-3861 libssh2: Out-of-bounds reads with specially crafted SSH packets
Summary: CVE-2019-3861 libssh2: Out-of-bounds reads with specially crafted SSH packets
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-3861
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1688447 1690247 1690248 1688446 1688448 1690408 1696058 1697699
Blocks: 1687317
TreeView+ depends on / blocked
 
Reported: 2019-03-11 08:59 UTC by Andrej Nemec
Modified: 2019-09-29 15:08 UTC (History)
17 users (show)

Fixed In Version: libssh2 1.8.1
Doc Type: If docs needed, set a value
Doc Text:
An out of bounds read flaw was discovered in libssh2 in the way SSH packets with a padding length value greater than the packet length are parsed. A remote attacker who compromises a SSH server may be able to cause a denial of service or read data in the client memory.
Clone Of:
Environment:
Last Closed: 2019-08-06 13:22:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2136 None None None 2019-08-06 12:19:43 UTC

Description Andrej Nemec 2019-03-11 08:59:21 UTC

A server could send a specially crafted SSH packet with a padding length value
greater than the packet length. This would result in a buffer read out of bounds
when decompressing the packet or result in a corrupted packet value.

Comment 2 Andrej Nemec 2019-03-12 09:15:46 UTC
Acknowledgments:

Name: the libssh2 project
Upstream: Chris Coulson (Canonical Ltd.)

Comment 6 Doran Moppert 2019-03-19 04:41:45 UTC
Statement:

This flaw was present in libssh2 packages included in Red Hat Virtualization Hypervisor and Management Appliance, however libssh2 in these hosts is never exposed to malicious clients or servers.

Comment 8 Dhananjay Arunesh 2019-03-19 06:37:17 UTC
External References:

https://www.libssh2.org/CVE-2019-3861.html

Comment 9 Dhananjay Arunesh 2019-03-19 06:47:42 UTC
Created libssh tracking bugs for this issue:

Affects: fedora-all [bug 1690246]


Created mingw-libssh2 tracking bugs for this issue:

Affects: fedora-all [bug 1690247]

Comment 10 Dhananjay Arunesh 2019-03-19 06:49:11 UTC
Created mingw-libssh2 tracking bugs for this issue:

Affects: epel-7 [bug 1690248]

Comment 11 Andrej Nemec 2019-03-19 12:27:52 UTC
Created libssh2 tracking bugs for this issue:

Affects: fedora-all [bug 1690408]

Comment 14 errata-xmlrpc 2019-08-06 12:19:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2136 https://access.redhat.com/errata/RHSA-2019:2136

Comment 15 Product Security DevOps Team 2019-08-06 13:22:11 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-3861


Note You need to log in before you can comment on or make changes to this bug.